com.zipcodewilmington.streams.exercises

## Class ConversionAgent<T>

- java.lang.Object
- - com.zipcodewilmington.streams.exercises.ConversionAgent<T>

Direct Known Subclasses:
  ArrayConverter, ListConverter, StreamConverter

    public abstract class ConversionAgent<T>
    extends java.lang.Object

### Field Summary

Fields
`protected T` `people`

### Constructor Summary

Constructors
Constructor and Description
`ConversionAgent(T val)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.util.stream.Stream<Person>` `filter(java.util.function.Predicate<? super Person> predicate)`
`java.util.stream.Stream<Person>` `flatMap(java.util.function.Function<? super Person,? extends java.util.stream.Stream<Person>> predicate)`
`abstract Person[]` `toArray()`
`abstract java.util.List<Person>` `toList()`
`abstract java.util.stream.Stream<Person>` `toStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### people

    protected T people

### Constructor Detail

#### ConversionAgent

    public ConversionAgent(T val)

### Method Detail

#### toList

    public abstract java.util.List<Person> toList()

#### toStream

    public abstract java.util.stream.Stream<Person> toStream()

#### toArray

    public abstract Person[] toArray()

#### filter

    public java.util.stream.Stream<Person> filter(java.util.function.Predicate<? super Person> predicate)

#### flatMap

    public java.util.stream.Stream<Person> flatMap(java.util.function.Function<? super Person,? extends java.util.stream.Stream<Person>> predicate)